pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Pango.AttrTypeGType)) This enumeration is used to distinguish between different types of attributes.

This enumeration is used to distinguish between different types of attributes. Along with the predefined values, it is possible to allocate additional values for custom attributes using . The predefined values are given below. The type of structure used to store the attribute is listed in parentheses after the description.

- Field
  2.12.0.0
  Pango.AttrType Absolute font size.
- Field
  2.12.0.0
  Pango.AttrType Background color ()
- Field
  2.12.0.0
  Pango.AttrType Whether fallback is enabled.
- Field
  2.12.0.0
  Pango.AttrType Font family name list ()
- Field
  2.12.0.0
  Pango.AttrType Font description ()
- Field
  2.12.0.0
  Pango.AttrType Foreground color ()
- Field
  2.12.0.0
  Pango.AttrType Gravity.
- Field
  2.12.0.0
  Pango.AttrType Gravity Hint.
- Field
  2.12.0.0
  Pango.AttrType Invalid

  This marks it as an invalid attribute

- Field
  2.12.0.0
  Pango.AttrType Language ()
- Field
  2.12.0.0
  Pango.AttrType Spacing between characters.
- Field
  2.12.0.0
  Pango.AttrType Baseline displacement ()
- Field
  2.12.0.0
  Pango.AttrType Font size scale factor ()
- Field
  2.12.0.0
  Pango.AttrType Shape ()
- Field
  2.12.0.0
  Pango.AttrType Font size in points divided by ()
- Field
  2.12.0.0
  Pango.AttrType Font stretch ()
- Field
  2.12.0.0
  Pango.AttrType Whether the text has an struck-through ()
- Field
  2.12.0.0
  Pango.AttrType Color of the strikethrough line.
- Field
  2.12.0.0
  Pango.AttrType Font slant style ()
- Field
  2.12.0.0
  Pango.AttrType Whether the text has an underline ()
- Field
  2.12.0.0
  Pango.AttrType Color of the underline.
- Field
  2.12.0.0
  Pango.AttrType Font variant (normal or small caps) ()
- Field
  2.12.0.0
  Pango.AttrType Font weight ()